export const getGweets = async ({
  pageParam = "",
  limit = 20,
  type,
  id,
}: {
  pageParam?: string;
  limit?: number;
  type?: string;
  id?: string;
}) => {
  try {
    const url = `/api/gweets?cursor=${pageParam}&limit=${limit}${type ? `&type=${type}` : ""}${id ? `&id=${id}` : ""}`;
    const data = await fetch(url).then((result) => result.json());

    return data;
  } catch (error: any) {
    return error.response.data;
  }
};