export const toggleLike = async ({
  gweetId,
  userId,
}: {
  gweetId: string | undefined;
  userId: string | undefined;
}) => {
  try {
    const data = await fetch("/api/gweets/likes", {
      method: "POST",
      headers: {
        "Content-Type": "application/json",
      },
      body: JSON.stringify({
        gweet_id: gweetId,
        user_id: userId,
      }),
    }).then((result) => result.json());

    return data;
  } catch (error: any) {
    return error.message;
  }
};